import { EntityRepository, Repository } from "typeorm";
import { UpdateReeferFriendCmsDto } from "./dto/update-reefer-friend-cms.dto";
import { ReeferFriendCmsEntity } from "./entities/reefer-friend-cms.entity";

@EntityRepository(ReeferFriendCmsEntity)
export class ReeferFriendCmsRepository extends Repository<ReeferFriendCmsEntity> {

    async createEntity(dto: UpdateReeferFriendCmsDto): Promise<ReeferFriendCmsEntity | Error> {
        try {
            const entity = this.create({
                image: dto.image,
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateReeferFriendCmsDto, id: string): Promise<ReeferFriendCmsEntity | Error> {
        try {
            await this.update(id, {
                image: dto.image,
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ReeferFriendCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}