import { EntityRepository, Repository } from "typeorm";
import { UpdateBrandPageComponentUiDto } from "./dto/update-brand-page-component-ui.dto";
import { BrandPageComponentUiEntity } from "./entities/brand-page-component-ui.entity";

@EntityRepository(BrandPageComponentUiEntity)
export class BrandPageComponentUiRepository extends Repository<BrandPageComponentUiEntity> {

    async createEntity(dto: UpdateBrandPageComponentUiDto): Promise<BrandPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateBrandPageComponentUiDto, id: string): Promise<BrandPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<BrandPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}