import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CareerDepartmentPageComponentUiService } from "./career-department-page-component-ui.service";
import { UpdateCareerDepartmentPageComponentUiDto } from "./dto/update-career-department-page-component-ui.dto";

@Controller({ path: "career-department-page-component-ui", version: Constants.API_VERSION_1 })

export class CareerDepartmentPageComponentUiController {
    constructor(private readonly service: CareerDepartmentPageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCareerDepartmentPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
