import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CareerPageComponentUiService } from "./career-page-component-ui.service";
import { UpdateCareerPageComponentUiDto } from "./dto/update-career-page-component-ui.dto";

@Controller({ path: "career-page-component-ui", version: Constants.API_VERSION_1 })

export class CareerPageComponentUiController {
    constructor(private readonly service: CareerPageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCareerPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
