import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CategoriesPageComponentUiService } from "./categories-page-component-ui.service";
import { UpdateCategoriesPageComponentUiDto } from "./dto/update-categories-page-component-ui.dto";

@Controller({ path: "categories-page-component-ui", version: Constants.API_VERSION_1 })

export class CategoriesPageComponentUiController {
    constructor(private readonly service: CategoriesPageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCategoriesPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
