import { Body, Controller, Delete, Get, Param, Patch, Post } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { InstagramServiceService } from "./instagram-service.service";
import { CreateInstagramServiceDto } from "./dto/create-instagram-service.dto";
import { UpdateInstagramServiceDto } from "./dto/update-instagram-service.dto";

@Controller({ path: "instagram-service", version: Constants.API_VERSION_1 })
export class InstagramServiceController {
    constructor(private readonly service: InstagramServiceService) {
    }

    @Post()
    // @UseGuards(AdminAuthGuard)
    create(@Body() dto: CreateInstagramServiceDto) {
        return this.service.create(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }

    @Get(":id")
    // @UseGuards(AdminAuthGuard)
    findOne(@Param("id") id: string) {
        return this.service.findOne(id);
    }

    @Patch(":id")
    // @UseGuards(AdminAuthGuard)
    update(@Param("id") id: string, @Body() dto: UpdateInstagramServiceDto) {
        return this.service.update(id, dto);
    }

    @Delete(":id")
    // @UseGuards(AdminAuthGuard)
    async remove(@Param("id") id: string) {
        return await this.service.remove(id);
    }
}
