import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { InstagramServiceRepository } from "./instagram-service.repository";
import { InstagramServiceController } from "./instagram-service.controller";
import { InstagramServiceService } from "./instagram-service.service";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository, InstagramServiceRepository])
    ],
    controllers: [InstagramServiceController],
    providers: [
        InstagramServiceService,
        JwtHelper,
        DoSpacesService, DoSpacesServicerovider
    ]
})
export class InstagramServiceModule {
}
